import Vue from 'vue'

Vue.config.productionTip = false
Vue.config.silent = true

declare var openerp: any
declare var $: any

openerp.eiru_pos = (instance: any, local: any) => {

    local.PosWidget = instance.Widget.extend({
        start(): void {
            this.sidebarFold()
        },
        destroy(): void {
            this.vm.$destroy()
            $(this.vm.$el).remove()
            this.vm = null

            this.sidebarUnfold()

            this._super.apply(this, arguments)
        },
        sidebarFold(): void {
            if (!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_fold()
        },
        sidebarUnfold(): void {
            if (!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_unfold()
        }
    })

    instance.web.client_actions.add('eiru_pos.action_launch', 'instance.eiru_pos.PosWidget')
}

